curl --request GET \
--url https://api.jurichat.com/fast-message/ \
--header 'x-jurichat-api-key: <api-key>'import requests
url = "https://api.jurichat.com/fast-message/"
headers = {"x-jurichat-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-jurichat-api-key': '<api-key>'}};
fetch('https://api.jurichat.com/fast-message/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"title": "<string>",
"type": "TEXT",
"content": "<string>",
"metadata": {
"url": "<string>",
"mimeType": "<string>",
"duration": 1
},
"supportedChannels": [
"<string>"
],
"blocks": [
{
"type": "TEXT",
"content": "<string>",
"metadata": {
"url": "<string>",
"mimeType": "<string>",
"duration": 123
},
"typingSeconds": 123,
"waitSeconds": 123
}
],
"inboxId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tag": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>"
}
]
}
]{
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"details": "<string>"
}Listar mensagens rápidas
Lista as mensagens rápidas da inbox. Filtros opcionais por título e tags.
Authorizations
Chave de API do escritório (criada no painel). Envie o valor no header x-jurichat-api-key.
Query Parameters
ID da inbox. Obrigatório para filtrar as mensagens rápidas.
Filtra por título (correspondência parcial).
Filtra por IDs de tags.
Response
Default Response
ID da mensagem rápida.
Título da mensagem rápida.
Tipo da mensagem rápida. SEQUENCE envia vários blocos em ordem, um por mensagem.
TEXT, AUDIO, IMAGE, VIDEO, SEQUENCE Texto da mensagem. Null quando é mídia.
Dados da mídia, com a URL já assinada. Null quando é texto.
Show child attributes
Show child attributes
Canais que aceitam esse formato de mídia. Null quando é texto.
Blocos da sequência, em ordem. Null quando não é sequência.
Show child attributes
Show child attributes
ID da inbox à qual a mensagem rápida pertence.
Data e hora de criação.
Data e hora da última atualização.
Tags associadas à mensagem rápida.
Show child attributes
Show child attributes